Bug 616839 - koji tag-pkg doesn't check if build is finished
Summary: koji tag-pkg doesn't check if build is finished
Status: CLOSED UPSTREAM
Alias: None
Product: Fedora
Classification: Fedora
Component: koji   
(Show other bugs)
Version: rawhide
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: David Cantrell
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-07-21 14:10 UTC by Tomas Kopecek
Modified: 2013-01-10 06:05 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-07-23 15:45:57 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
patch (1.04 KB, patch)
2010-07-21 14:10 UTC, Tomas Kopecek
no flags Details | Diff

Description Tomas Kopecek 2010-07-21 14:10:48 UTC
Created attachment 433431 [details]
patch

When I run 'koji tag-pkg' on build which is not valid (e.g. FAILED), I got error message that policy checking has failed (ActionNotAllowed: policy violation xxx). It could give more descriptive message.

Simple patch attached.

Comment 1 Mike McLean 2010-07-21 21:21:41 UTC
It checks, just not early enough.

The patch isn't quite how I want to fix it. Setting pkg_error is not the right thing to do here. I should have a patch tomorrow.


Note You need to log in before you can comment on or make changes to this bug.